/*
Script Name: planet RSS XML feed checker - the Ajax client part of it
Script URI: http://planetozh.com/blog/my-projects/planet-rss-xml-ajax-feed-checker/
Author: Ozh
Author URI: http://planetozh.com/
*/

function planet (i) {
	this.id = i,
	/*
	request: [],
	url: '',
	divresult: '',
	*/
	this.init = function (i) {
		i = this.id;
		this.url = document.getElementById('url_'+i).innerHTML;
		this.divresult = document.getElementById('header_'+i);
		this.divdays = document.getElementById('age_'+i);
		this.divtype = document.getElementById('type_'+i);
		this.geturl();
	},
	this.createRequest = function() {
		this.request = {};
		try {
			this.request = new XMLHttpRequest();
		} catch (trymicrosoft) {
			try {
				this.request = new ActiveXObject("Msxml2.XMLHTTP");
			} catch (othermicrosoft) {
				try {
					this.request = new ActiveXObject("Microsoft.XMLHTTP");
				} catch (failed) {
					this.request = false;
				}
			}
		}
		if (!this.request) {
			alert("Error initializing XMLHttpRequest!");
		}
	},
	this.geturl = function() {
		var self = this;
		self.createRequest();
		if (!self.request) return;
		var url = self.url;
		var param = "ajax.php?url=" + escape(url);
		self.request.open("GET", param, true);
		self.request.onreadystatechange  = function() {
			self.divresult.innerHTML = '<span class="inprogress">checking... <img src="load.gif"></span>';
    	if (self.request.readyState == 4) {
    		response = self.request.responseXML.documentElement;
    		http = response.getElementsByTagName('http')[0].childNodes[0].data;
    		xtype = response.getElementsByTagName('type')[0].childNodes[0].data;
    		pubDate = response.getElementsByTagName('pubDate')[0].childNodes[0].data;
    		days = response.getElementsByTagName('days')[0].childNodes[0].data;
    		if (http == 'Found') {
    			hclassname = 'ok';
	    		if (xtype == 'XML') {
	    			xclassname = 'ok';
	    		} else {
	    			xclassname = 'notok';
	    		}
	    		if (/^Updated/.test(days)) {
	    			dclassname = 'ok';
	    		} else {
	    			dclassname = 'notok';
	    		}
	    		self.divdays.innerHTML = '<span class="'+dclassname+'" title="'+pubDate+'">'+days+'</span>';
	   			self.divtype.innerHTML = '<span class="'+xclassname+'">'+xtype+'</span>';
    		} else {
    			hclassname = 'notok';
	    		self.divdays.innerHTML = '';
	   			self.divtype.innerHTML = '';
    		}
  			self.divresult.innerHTML = '<span class="'+hclassname+'">'+http+'</span>';
    	}
    };
		self.request.send(null);
	}
	this.init();
};